Skip to content

Get Entries

POST
/api/public/v1/season/{seasonId}/entries

The Get Entries API endpoint can be used to get season entries along with any license data.

The shape of the result body can be found starting in: https://github.com/ClicknClear/Public-Resources/blob/main/packages/lvs-types/src/v1/entry.ts with the IEntryV1 type. Due to the complex return type the exact types are spread amongst a few different files.

This endpoint has an optional request body which can be used to filter down the results. If no body is supplied it will return all results. By supplying the body, you can filter based on the updatedAfter or by the signup field responses. The zod schemas can be found in this file: https://github.com/ClicknClear/Public-Resources/blob/main/packages/lvs-types/src/v1/entry.ts and it is called getEntriesQuerySchemaV1.

Example requests can be found filtering by both updatedAfter and signup fields.

seasonId
required
string
object

All Entries

Array<object>
object
id
integer
email
string format: email
name
string
fields
Array<object>
object
value
string format: utc-millisec
signupFieldId
integer
key
string
soundRecording
object
createdAt
string format: date-time
downloadURL
string format: uri
uploadFileName
string
licenseStatus
string
songsConfirmedAt
string format: date-time
updatedAt
string format: date-time
status
string
songs
Array<object>
object
title
string
artists
string
endTime
integer
startTime
integer
cncMixId
nullable
cncId
string
composer
nullable
isrc
string
iswc
nullable
publisher
nullable
recordLabel
string
tunecode
nullable
yearOfRelease
integer
upc
nullable
manualStatus
nullable
licenseStatus
string
licenseChecks
object
Licensee Name Match
string
License Source Matches
string
Title Matches
string
Artists Match
string
Master Choreography Rights
string
Master Adaptation Rights
string
Master Duplication Rights
string
Publishing Choreography Rights
string
Publishing Adaptation Rights
string
Publishing Duplication Rights
string
Valid Date
string
Full Ownership
string
Territory Match
object
GB
string
AF
string
US
string
licenseData
object
bespokeAgreement
nullable
licenseSource
string
cncLicense
nullable
externalLicense
nullable
publicDomainProof
nullable
Example
[
{
"id": 27,
"email": "tristan+test@clicknclear.com",
"name": "My Test User",
"fields": [
{
"value": "123456789",
"signupFieldId": 89,
"key": "externalId"
}
],
"soundRecording": {
"createdAt": "2024-07-11T15:21:26.706Z",
"downloadURL": "https://example.clicknclear.com",
"uploadFileName": "Eric Clapton - Lay Down Sally (Live).mp3",
"licenseStatus": "Unverified",
"songsConfirmedAt": "2024-07-11T16:22:56.000Z",
"updatedAt": "2024-07-11T15:22:56.000Z",
"status": "Complete",
"songs": [
{
"title": "Lay Down Sally (Live)",
"artists": "Eric Clapton",
"endTime": 310,
"startTime": 0,
"cncMixId": null,
"cncId": "5fb5a20bc52b507e3f154ae1",
"composer": null,
"isrc": "NLRD51424699",
"iswc": null,
"publisher": null,
"recordLabel": "Black Barn Music",
"tunecode": null,
"yearOfRelease": 2020,
"upc": null,
"manualStatus": null,
"licenseStatus": "Unverified",
"licenseChecks": {
"Licensee Name Match": "Unknown",
"License Source Matches": "Unknown",
"Title Matches": "Unknown",
"Artists Match": "Unknown",
"Master Choreography Rights": "Unknown",
"Master Adaptation Rights": "Unknown",
"Master Duplication Rights": "Unknown",
"Publishing Choreography Rights": "Unknown",
"Publishing Adaptation Rights": "Unknown",
"Publishing Duplication Rights": "Unknown",
"Valid Date": "Unknown",
"Full Ownership": "Unknown",
"Territory Match": {
"GB": "Unknown",
"AF": "Unknown",
"US": "Unknown"
}
},
"licenseData": {
"bespokeAgreement": null,
"licenseSource": "Pending License",
"cncLicense": null,
"externalLicense": null,
"publicDomainProof": null
}
}
]
}
},
{
"id": 28,
"email": "tristan+test@clicknclear.com",
"name": "No Signup User",
"fields": [
{
"value": "123456789",
"signupFieldId": 89,
"key": "externalId"
}
],
"soundRecording": null
},
{
"id": 26,
"email": "tristan+test@clicknclear.com",
"name": "Partial Territories",
"fields": [],
"soundRecording": {
"createdAt": "2024-07-08T07:20:14.938Z",
"downloadURL": "https://example.clicknclear.com",
"uploadFileName": "MY_MIX_WITH_MATCHES.mp3",
"licenseStatus": "Licensed",
"songsConfirmedAt": "2024-07-08T08:25:18.000Z",
"updatedAt": "2024-07-08T07:25:18.000Z",
"status": "Complete",
"songs": [
{
"title": "She's My Addiction",
"artists": "Fozzy",
"endTime": 136,
"startTime": 0,
"cncMixId": null,
"cncId": "5f4d360c6fce45507b4b3870",
"composer": null,
"isrc": null,
"iswc": null,
"publisher": null,
"recordLabel": "Century Media",
"tunecode": null,
"yearOfRelease": 2012,
"upc": null,
"manualStatus": null,
"licenseStatus": "Licensed",
"licenseChecks": {
"Licensee Name Match": "Accepted",
"License Source Matches": "Accepted",
"Title Matches": "Accepted",
"Artists Match": "Accepted",
"Master Choreography Rights": "Accepted",
"Master Adaptation Rights": "Accepted",
"Master Duplication Rights": "Accepted",
"Publishing Choreography Rights": "Accepted",
"Publishing Adaptation Rights": "Accepted",
"Publishing Duplication Rights": "Accepted",
"Valid Date": "Accepted",
"Full Ownership": "Accepted",
"Territory Match": {
"GB": "Rejected",
"AF": "Accepted",
"US": "Rejected"
}
},
"licenseData": {
"bespokeAgreement": null,
"licenseSource": "ClicknClear",
"cncLicense": {
"ref": "cff52747f638da48490f7b8b6e370620",
"datePurchased": "2024-07-08T08:19:41.000Z",
"validTo": "2025-07-08T08:19:41.000Z",
"downloadURL": "https://example.clicknclear.com",
"rights": [
{
"name": "Standard",
"variant": "1 Year"
}
],
"territories": [
"AF"
]
},
"externalLicense": null,
"publicDomainProof": null
}
},
{
"title": "All Black",
"artists": "Good Charlotte",
"endTime": 10,
"startTime": 0,
"cncMixId": null,
"cncId": "5f416a3771aa9d16b0886b07",
"composer": null,
"isrc": "USSM10607451",
"iswc": null,
"publisher": null,
"recordLabel": "Epic/Daylight",
"tunecode": null,
"yearOfRelease": 2007,
"upc": null,
"manualStatus": null,
"licenseStatus": "Licensed",
"licenseChecks": {
"Licensee Name Match": "Accepted",
"License Source Matches": "Accepted",
"Title Matches": "Accepted",
"Artists Match": "Accepted",
"Master Choreography Rights": "Accepted",
"Master Adaptation Rights": "Accepted",
"Master Duplication Rights": "Accepted",
"Publishing Choreography Rights": "Accepted",
"Publishing Adaptation Rights": "Accepted",
"Publishing Duplication Rights": "Accepted",
"Valid Date": "Accepted",
"Full Ownership": "Accepted",
"Territory Match": {
"GB": "Rejected",
"AF": "Accepted",
"US": "Rejected"
}
},
"licenseData": {
"bespokeAgreement": null,
"licenseSource": "ClicknClear",
"cncLicense": {
"ref": "cff52747f638da48490f7b8b6e370620",
"datePurchased": "2024-07-08T08:19:41.000Z",
"validTo": "2025-07-08T08:19:41.000Z",
"downloadURL": "https://example.clicknclear.com",
"rights": [
{
"name": "Standard",
"variant": "1 Year"
}
],
"territories": [
"AF"
]
},
"externalLicense": null,
"publicDomainProof": null
}
}
]
}
},
{
"id": 25,
"email": "tristan+test@clicknclear.com",
"name": "Tristan",
"fields": [],
"soundRecording": {
"createdAt": "2024-07-05T09:18:42.566Z",
"downloadURL": "https://example.clicknclear.com",
"uploadFileName": "John Williams - Main Theme (From _Jurassic Park_).mp3",
"licenseStatus": "Licensed",
"songsConfirmedAt": "2024-07-05T10:22:00.000Z",
"updatedAt": "2024-07-05T09:22:00.000Z",
"status": "Complete",
"songs": [
{
"title": "Main Theme (From \"Jurassic Park\")",
"artists": "John Williams",
"endTime": 330,
"startTime": 0,
"cncMixId": null,
"cncId": "5f3d053b47113550ed1a80e9",
"composer": null,
"isrc": "USSM19504354",
"iswc": null,
"publisher": null,
"recordLabel": null,
"tunecode": null,
"yearOfRelease": null,
"upc": "0886447845035",
"manualStatus": null,
"licenseStatus": "Licensed",
"licenseChecks": {
"Licensee Name Match": "Accepted",
"License Source Matches": "Accepted",
"Title Matches": "Accepted",
"Artists Match": "Accepted",
"Master Choreography Rights": "Accepted",
"Master Adaptation Rights": "Accepted",
"Master Duplication Rights": "Accepted",
"Publishing Choreography Rights": "Accepted",
"Publishing Adaptation Rights": "Accepted",
"Publishing Duplication Rights": "Accepted",
"Valid Date": "Accepted",
"Full Ownership": "Accepted",
"Territory Match": {
"GB": "Accepted",
"AF": "Accepted",
"US": "Accepted"
}
},
"licenseData": {
"bespokeAgreement": null,
"licenseSource": "ClicknClear",
"cncLicense": {
"ref": "42ae53188f3112058776f1b58610b9ac",
"datePurchased": "2024-07-05T12:40:57.000Z",
"validTo": "2025-07-05T10:18:10.000Z",
"downloadURL": "https://example.clicknclear.com",
"rights": [
{
"name": "Standard",
"variant": "1 Year"
}
],
"territories": [
"AD",
"AE",
"AF",
"AG",
"AL",
"AM",
"AO",
"AR",
"AT",
"AU",
"AZ",
"BA",
"BB",
"BD",
"BE",
"BF",
"BG",
"BH",
"BI",
"BJ",
"BN",
"BO",
"BR",
"BS",
"BT",
"BW",
"BY",
"BZ",
"CA",
"CF",
"CG",
"CI",
"CL",
"CM",
"CN",
"CO",
"CR",
"CU",
"CV",
"CY",
"CZ",
"DJ",
"DK",
"DM",
"DO",
"DZ",
"EC",
"EE",
"EG",
"EH",
"ER",
"ES",
"ET",
"FI",
"FJ",
"FR",
"GA",
"GB",
"GD",
"GE",
"GM",
"GN",
"GQ",
"GR",
"GT",
"GW",
"GY",
"HK",
"HN",
"HR",
"HT",
"HU",
"ID",
"IE",
"IL",
"IN",
"IQ",
"IR",
"IS",
"IT",
"JM",
"JO",
"KE",
"KG",
"KH",
"KM",
"KN",
"KR",
"KW",
"KZ",
"LA",
"LB",
"LC",
"LK",
"LR",
"LS",
"LT",
"LU",
"LV",
"LY",
"MA",
"MC",
"MD",
"ME",
"MG",
"MK",
"ML",
"MN",
"MR",
"MT",
"MU",
"MV",
"MW",
"MX",
"MY",
"MZ",
"NA",
"NC",
"NE",
"NG",
"NI",
"NL",
"NO",
"NP",
"NR",
"NZ",
"OM",
"PA",
"PE",
"PF",
"PG",
"PH",
"PK",
"PL",
"PR",
"PT",
"PY",
"QA",
"RO",
"RS",
"RU",
"RW",
"SA",
"SB",
"SC",
"SE",
"SG",
"SI",
"SK",
"SL",
"SM",
"SN",
"SO",
"SR",
"SS",
"ST",
"SV",
"SY",
"SZ",
"TD",
"TG",
"TH",
"TJ",
"TM",
"TN",
"TR",
"TT",
"TW",
"TZ",
"UA",
"UG",
"US",
"UY",
"UZ",
"VA",
"VC",
"VE",
"VN",
"VU",
"WS",
"YE",
"ZA",
"ZM",
"ZW"
]
},
"externalLicense": null,
"publicDomainProof": null
}
}
]
}
}
]
Access-Control-Allow-Origin
string
Example
*
content-length
integer
Example
8936
date
string
Example
Fri, 12 Jul 2024 10:11:28 GMT
connection
string
Example
close